This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 111584 - network interfaces are not started when bonding is configured with interfaces that are eariler.
network interfaces are not started when bonding is configured with interfaces...
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-05 14:03 EST by John DeFranco
Modified: 2014-03-16 22:40 EDT (History)
2 users (show)

See Also:
Fixed In Version: 7.45-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-28 16:01:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John DeFranco 2003-12-05 14:03:53 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031008

Description of problem:
On my system I have the primary interface defined as eth2. I then
defined a bond using eth0 and eth1. When the network script runs it
fails to bring up eth2 but does bring up the bond0. The reason for
this is because in the network script we check to see if SLAVE=yes and
if so we continue and don't execute the ifup <if>. The reason SLAVE is
set to yes is from the ifcfg-eth[01] settings which were evaluated
first. SLAVE is never cleared and thus we carry over the yes when it
tries to work on ifcfg-eth2.

My workaround was to simply add SLAVE=no into my ifcfg-eth2 file.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create an ifcfg-bond0 file to define a bond that uses eth0 and eth1
2. Create the appropriate ifcfg-eth0/0 files that set SLAVE=yes
3. Create an ifcfg-eth2 file to define an eth2 interface
4. Run /etc/rc.d/init.d/network restart.
    

Actual Results:  The eth2 interface is not up.

Expected Results:  It should be.

Additional info:
Comment 1 Bill Nottingham 2003-12-05 15:35:08 EST
Please try with a later release, although this issue might still be there.
Comment 2 Joe Przywara 2004-01-21 15:54:02 EST
I noticed the same problem on Red Hat Enterprise AS 3 Update 1.
Comment 3 Bill Nottingham 2004-01-28 16:01:11 EST
Fixed, will be in 7.45-1.
Comment 4 ginnie nuckles 2004-03-31 17:03:17 EST
What update number would that be ?? what does 7.45-1. mean please ?? 
thanks  
Comment 5 ginnie nuckles 2004-03-31 17:08:18 EST
sorry we have similar problem on this kernel ?? thanks 


2.4.21-9.ELsmp

Red Hat Enterprise Linux ES release 3 (Taroon Update 1)
Comment 6 Bill Nottingham 2004-03-31 23:38:45 EST
There is a fix for this in the current errata beta RPMS for RHEL 3.
Comment 7 ginnie nuckles 2004-04-07 11:42:11 EDT
How would I go about obtaining this beta RPMS of EL3 to try ? 
Comment 8 Bill Nottingham 2004-04-07 15:22:17 EDT
It's in the 'Red Hat Enterprise Linux AS (v. 3 for x86) Beta' channel.
(Replace, of course, with your variant (AS/ES/WS) and architecture).
Comment 9 ginnie nuckles 2004-04-19 16:19:22 EDT
My system has the channel registered but I get the following ? 

 up2date-nox --upgrade-to-release rhel-i386-es-3-extras-beta
Error communicating with server. The message was:

Error Message:
    Your account does not have access to any channels matching 
(release='rhel-i386-es-3-extras-beta', arch='i686-redhat-linux')
If you have a registration number, please register with it first at 
http://www.redhat.com/apps/activate/ and then try again.
Error Class Code: 19
Error Class Info: Architecture and OS version combination is not 
supported.
Explanation:
     An error has occurred while processing your request. If this 
problem
     persists please enter a bug report at bugzilla.redhat.com.
     If you choose to submit the bug report, please be sure to include
     details of what you were trying to do when this error occurred 
and
     details on how to reproduce this problem.
Comment 10 ginnie nuckles 2004-04-27 18:06:50 EDT
OK .. beta release installed kernel updated .. problem persists ??
Comment 11 ginnie nuckles 2004-05-10 17:24:09 EDT
Can someone tell me why this is closed ? the Beta Release of RH AS 
3.0 did not fix the bonding driver problem  ?? 
Comment 12 Bill Nottingham 2004-05-19 16:49:48 EDT
With both the initscripts and kernel updates?

Note You need to log in before you can comment on or make changes to this bug.